<div id="body" class="container-fluid">
  <h6>ES Calendar</h6>

  <div class="container form-group form-group-sm">
    <div class="row">
      <div class="col text-right">
        Selected User
      </div>
      <div class="col-md-auto">
        <dx-select-box [dataSource]="resourceData" width="350px"
                       displayExpr="text" valueExpr="id" [value]="defaultId"
                       [searchEnabled]="true" [searchExpr]="['text']" searchMode="startswith"
                       (onValueChanged)="onResourceSelect($event)">
        </dx-select-box>
      </div>
      <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
        <button type="button" class="btn btn-sm btn-primary btn-block" (click)="listViewAction()">
          List View
        </button>
      </div>
    </div>
  </div>
  <p></p>

  <dx-scheduler #scheduler
                [dataSource]="appointmentsData"
                [views]='["day", "week", "workWeek", "month",{type: "timelineDay", name: "Timeline"}]'
                [currentDate]="currentDate"
                [startDayHour]="0"
                recurrenceEditMode="series"
                [(currentView)]="currentView"
                [customizeDateNavigatorText]="customizeDateNavigatorText"
                appointmentTemplate="appointmentTemplate"
                appointmentTooltipTemplate="appointmentTooltipTemplate"
                (onAppointmentFormOpening)="onAppointmentFormOpening($event)"
                (onAppointmentAdded)="onAppointmentAdded($event)"
                (onAppointmentUpdated)="onAppointmentUpdated($event)"
                (onAppointmentDeleted)="onAppointmentDeleted($event)">
    <dxo-editing #editingOptions
                 [allowAdding]="true"
                 [allowDeleting]="true"
                 [allowUpdating]="this.allowEditing"
                 [allowDragging]="false"></dxo-editing>
    <div *dxTemplate="let model of 'appointmentTemplate'" [ngClass]="model.appointmentData.softAssigned == 'True' ? 'soft-assigned' : ''">
      <div class="row">
        <div class="col px-3">{{model.appointmentData.text}}</div>
      </div>
      <div class="row">
        <div class="col px-3">{{ model.appointmentData.startDate | date: 'hh:mm a' }} - {{ model.appointmentData.endDate | date: 'hh:mm a' }} </div>
      </div>
      <div *ngIf="model.appointmentData.location" class="row">
        <div class="col px-3">{{model.appointmentData.location}}</div>
      </div>
      <div *ngIf="model.appointmentData.description" class="row">
        <div class="col px-3">{{model.appointmentData.description}}</div>
      </div>
    </div>
    <div *dxTemplate="let model of 'appointmentTooltipTemplate'">
      <div class="row px-3 text-left">
        <div [ngClass]="model.appointmentData.apptType >= 17 && model.appointmentData.apptType <= 27 ? 'col-20' : 'col-24' ">
          <h6 class="d-inline text-wrap">{{model.appointmentData.text}}</h6>
          <p class="mt-2 mb-0">{{ model.appointmentData.startDate | date: 'MMMM d hh:mm a' }} - {{ model.appointmentData.endDate | date: 'hh:mm a' }}</p>
        </div>
        <div *ngIf="model.appointmentData.apptType >= 17 && model.appointmentData.apptType <= 27" class="col-4 text-right">
          <dx-button icon="trash"
                     (onClick)="deleteAppointment($event, model)">
          </dx-button>
        </div>
      </div>
    </div>
  </dx-scheduler>
</div>
